"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeContextUpdatedEvent = makeContextUpdatedEvent;
exports.makeLogEntryAddedEvent = makeLogEntryAddedEvent;
const helpers_1 = require("../context/helpers");
const constants_1 = require("./constants");
function makeContextUpdatedEvent(contextName) {
    return {
        method: constants_1.CONTEXT_UPDATED_EVENT,
        params: {
            name: contextName,
            type: contextName === helpers_1.NATIVE_WIN ? 'NATIVE' : 'WEB',
        },
    };
}
function makeLogEntryAddedEvent(entry, context, type) {
    return {
        context,
        method: constants_1.LOG_ENTRY_ADDED_EVENT,
        params: {
            type,
            level: entry.level,
            source: {
                realm: '',
            },
            text: entry.message,
            timestamp: entry.timestamp,
        },
    };
}
//# sourceMappingURL=models.js.map